Bug 98343 - dEQP-EGL: GL_INVALID_ENUM at teglCreateContextExtTests
Summary: dEQP-EGL: GL_INVALID_ENUM at teglCreateContextExtTests
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: EGL (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 98315
  Show dependency treegraph
 
Reported: 2016-10-20 06:48 UTC by Randy
Modified: 2016-10-27 05:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Randy 2016-10-20 06:48:08 UTC
8 cases failed with this signature

dEQP-EGL.functional.create_context_ext.robust_gles_2_ext.rgb888_depth_stencil.qpa: <Result StatusCode="Fail">glGetBooleanv(): glGetError() returned GL_INVALID_ENUM at teglCreateContextExtTests.cpp:864</Result>
dEQP-EGL.functional.create_context_ext.robust_gles_2_ext.rgb888_no_depth_no_stencil.qpa: <Result StatusCode="Fail">glGetBooleanv(): glGetError() returned GL_INVALID_ENUM at teglCreateContextExtTests.cpp:864</Result>
dEQP-EGL.functional.create_context_ext.robust_gles_2_ext.rgba8888_depth_stencil.qpa: <Result StatusCode="Fail">glGetBooleanv(): glGetError() returned GL_INVALID_ENUM at teglCreateContextExtTests.cpp:864</Result>
dEQP-EGL.functional.create_context_ext.robust_gles_2_ext.rgba8888_no_depth_no_stencil.qpa: <Result StatusCode="Fail">glGetBooleanv(): glGetError() returned GL_INVALID_ENUM at teglCreateContextExtTests.cpp:864</Result>
dEQP-EGL.functional.create_context_ext.robust_gles_3_ext.rgb888_depth_stencil.qpa: <Result StatusCode="Fail">glGetBooleanv(): glGetError() returned GL_INVALID_ENUM at teglCreateContextExtTests.cpp:864</Result>
dEQP-EGL.functional.create_context_ext.robust_gles_3_ext.rgb888_no_depth_no_stencil.qpa: <Result StatusCode="Fail">glGetBooleanv(): glGetError() returned GL_INVALID_ENUM at teglCreateContextExtTests.cpp:864</Result>
dEQP-EGL.functional.create_context_ext.robust_gles_3_ext.rgba8888_depth_stencil.qpa: <Result StatusCode="Fail">glGetBooleanv(): glGetError() returned GL_INVALID_ENUM at teglCreateContextExtTests.cpp:864</Result>
dEQP-EGL.functional.create_context_ext.robust_gles_3_ext.rgba8888_no_depth_no_stencil.qpa: <Result StatusCode="Fail">glGetBooleanv(): glGetError() returned GL_INVALID_ENUM at teglCreateContextExtTests.cpp:864</Result>


Mesa git top commit: 389d6dedbe75defe07216ad761569a9b94f44e58
dEQP git top commit: ca988480be945772473f9256b6ae91fa6aa62bd1
Comment 1 Tapani Pälli 2016-10-20 09:09:07 UTC
These tests we fail because we don't support GL_EXT_robustness, however Mesa supports GL_KHR_robustness and GL_ARB_robustness so one needs to figure out if there are any differences between EXT and ARB extensions and if we could expose EXT one or maybe change tests to check against KHR/ARB one.
Comment 2 Tapani Pälli 2016-10-25 11:03:24 UTC
There's 2 things, we don't support GL_EXT_robustness on ES and our implementation of GL_KHR_robustness has a bug, it does not support GetBooleanv(GL_CONTEXT_ROBUST_ACCESS). I've made patches to fix these and will run CI testing now.
Comment 3 Tapani Pälli 2016-10-27 05:51:19 UTC
commit 671da8d8ba6f1a319351a2738eb420a148ea6697
Author: Tapani Pälli <tapani.palli@intel.com>
Date:   Tue Oct 25 14:00:15 2016 +0300

    mesa: expose GL_EXT_robustness
    
    Fixes 8 failing dEQP tests:
       dEQP-EGL.functional.create_context_ext.robust_gles*
    
    (now 42 tests pass in dEQP-EGL*robust*, 0 fail and rest are skipped)
    
    Signed-off-by: Tapani Pälli <tapani.palli@intel.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=98343
    Reviewed-by: Eric Engestrom <eric.engestrom@imgtec.com>


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.